-- MySQL dump 10.9
--
-- Host: localhost    Database: jtestserver
-- ------------------------------------------------------
-- Server version   4.1.11-Debian_4sarge7-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `auth`
--

DROP TABLE IF EXISTS `auth`;
CREATE TABLE `auth` (
  `login` varchar(8) collate utf8_czech_ci NOT NULL default '',
  `pass` varchar(34) collate utf8_czech_ci NOT NULL default '',
  `tit_pred` varchar(16) collate utf8_czech_ci NOT NULL default '',
  `jmeno` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `prijmeni` varchar(30) collate utf8_czech_ci NOT NULL default '',
  `tit_za` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `email` tinytext collate utf8_czech_ci NOT NULL,
  `www` tinytext collate utf8_czech_ci NOT NULL,
  `adresa` tinytext collate utf8_czech_ci NOT NULL,
  PRIMARY KEY  (`login`),
  KEY `prijmeni` (`prijmeni`,`jmeno`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `auth`
--


/*!40000 ALTER TABLE `auth` DISABLE KEYS */;
LOCK TABLES `auth` WRITE;
INSERT INTO `auth` VALUES ('root','63a9f0ea7bb98050796b649e85481845','','','root','','','','');
INSERT INTO `auth` VALUES ('sou063','bc4ad522b5082fffde911a37bba49cb6','','David','Sousedík','','david.sousedik@email.cz','http://homel.vsb.cz/~sou063','Slušovice ');
INSERT INTO `auth` VALUES ('mud016','1315af3b1b4ef874ba6354f6d746f2b7','','Ondřej','Mudrončík','','ondra.mudroncik@centrum.cz','http://homel.vsb.cz/~mud016','Olomouc');
INSERT INTO `auth` VALUES ('imr003','8cfe74fd4dfab260aced014c62faa8e1','','Martin','Imramovský','','martin.imramovsky@hotmail.com','http://homel.vsb.cz/~imr003','Zlín');
INSERT INTO `auth` VALUES ('tre041','795a3861ee6d4f5f6ada16f67ed6ba57','','Miroslav','Trecha','','mtrecha@centrum.cz','http://homel.vsb.cz/~tre041','Slušovice');
INSERT INTO `auth` VALUES ('szt012','271c2b9cb2100d0bad1a188da7e23961','Ing.','Roman','Szturc','Ph.D.','','','');
INSERT INTO `auth` VALUES ('hyn024','3265050cc5ecead3e2d6a4f2707dd7ae','Ing.','Martin','Hynar','','','','');
INSERT INTO `auth` VALUES ('dvo056','29ba96e0c80d02c44fa3c3ada8af756','Mgr.','Jiří','Dvorský','Ph.D.','','','');
INSERT INTO `auth` VALUES ('ben064','fbe5f0d7fd6ec1298fe77c0fe324b156','doc. Ing.','Miroslav','Beneš','Ph.D.','Miroslav.Benes@vsb.cz','http://www.cs.vsb.cz/benes','Ostrava');
INSERT INTO `auth` VALUES ('las03','22bef9bd16fcd589d48913570ec7fbeb','Ing.','Martin','Lasoň','','martin.lason@vsb.cz','http://linux456.vsb.cz/~las034','Ostrava');
UNLOCK TABLES;
/*!40000 ALTER TABLE `auth` ENABLE KEYS */;

--
-- Table structure for table `cviceni`
--

DROP TABLE IF EXISTS `cviceni`;
CREATE TABLE `cviceni` (
  `id_cviceni` int(11) NOT NULL auto_increment,
  `id_rozvrhu` int(11) NOT NULL default '0',
  `cislo_cviceni` tinyint(4) NOT NULL default '0',
  `nazev_cviceni` tinytext collate utf8_czech_ci NOT NULL,
  `popis_cviceni` tinytext collate utf8_czech_ci NOT NULL,
  PRIMARY KEY  (`id_cviceni`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `cviceni`
--


/*!40000 ALTER TABLE `cviceni` DISABLE KEYS */;
LOCK TABLES `cviceni` WRITE;
INSERT INTO `cviceni` VALUES (1,3,1,'Práce s řetězci, poli a s aritmetickými operacemi','Na tomto cvičení si studenti procvičí práci s řetězci, poli a aritmetické operace.');
UNLOCK TABLES;
/*!40000 ALTER TABLE `cviceni` ENABLE KEYS */;

--
-- Table structure for table `cviceni_uloha`
--

DROP TABLE IF EXISTS `cviceni_uloha`;
CREATE TABLE `cviceni_uloha` (
  `id_cviceni` int(11) NOT NULL default '0',
  `id_ulohy` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `cviceni_uloha`
--


/*!40000 ALTER TABLE `cviceni_uloha` DISABLE KEYS */;
LOCK TABLES `cviceni_uloha` WRITE;
INSERT INTO `cviceni_uloha` VALUES (1,1);
INSERT INTO `cviceni_uloha` VALUES (1,2);
INSERT INTO `cviceni_uloha` VALUES (1,3);
UNLOCK TABLES;
/*!40000 ALTER TABLE `cviceni_uloha` ENABLE KEYS */;

--
-- Table structure for table `online`
--

DROP TABLE IF EXISTS `online`;
CREATE TABLE `online` (
  `id_rozvrhu` int(11) NOT NULL default '0',
  `id_cviceni` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `online`
--


/*!40000 ALTER TABLE `online` DISABLE KEYS */;
LOCK TABLES `online` WRITE;
INSERT INTO `online` VALUES (3,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `online` ENABLE KEYS */;

--
-- Table structure for table `predmet`
--

DROP TABLE IF EXISTS `predmet`;
CREATE TABLE `predmet` (
  `kod` varchar(10) NOT NULL default '',
  `zkratka` varchar(8) NOT NULL default '',
  `nazev` tinytext NOT NULL,
  `garant` varchar(8) NOT NULL default 'unknown',
  `kredity` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`kod`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `predmet`
--


/*!40000 ALTER TABLE `predmet` DISABLE KEYS */;
LOCK TABLES `predmet` WRITE;
INSERT INTO `predmet` VALUES ('456-522/1','UPR','Úvod do programování (Java)','Szturc',6);
INSERT INTO `predmet` VALUES ('456-099/1','JAV','Java technologie','Szturc',4);
INSERT INTO `predmet` VALUES ('455-521/1','JaIT','Java a internetové technologie','Černohor',4);
INSERT INTO `predmet` VALUES ('456-326/1','PVL','Programování s vlákny','Dvorský',4);
UNLOCK TABLES;
/*!40000 ALTER TABLE `predmet` ENABLE KEYS */;

--
-- Table structure for table `predmet_zapis`
--

DROP TABLE IF EXISTS `predmet_zapis`;
CREATE TABLE `predmet_zapis` (
  `kod` varchar(10) collate utf8_czech_ci NOT NULL default '',
  `zkratka` varchar(8) collate utf8_czech_ci NOT NULL default '',
  `nazev` varchar(100) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`kod`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `predmet_zapis`
--


/*!40000 ALTER TABLE `predmet_zapis` DISABLE KEYS */;
LOCK TABLES `predmet_zapis` WRITE;
INSERT INTO `predmet_zapis` VALUES ('456-099/1','JAV','Java technologie');
UNLOCK TABLES;
/*!40000 ALTER TABLE `predmet_zapis` ENABLE KEYS */;

--
-- Table structure for table `rozvrh`
--

DROP TABLE IF EXISTS `rozvrh`;
CREATE TABLE `rozvrh` (
  `id` int(11) NOT NULL auto_increment,
  `predmet` varchar(10) NOT NULL default '',
  `forma` enum('P','C','L') default NULL,
  `misto` varchar(8) default NULL,
  `den` enum('Po','Ut','St','Ct','Pa','So','Ne') default NULL,
  `delka` tinyint(4) default NULL,
  `zacatek` tinyint(4) default NULL,
  `skupina` tinytext,
  `tyden` enum('','L','S') NOT NULL default '',
  `semestr` enum('Z','L') default NULL,
  `kapacita` smallint(6) NOT NULL default '0',
  `rok_st` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rozvrh`
--


/*!40000 ALTER TABLE `rozvrh` DISABLE KEYS */;
LOCK TABLES `rozvrh` WRITE;
INSERT INTO `rozvrh` VALUES (1,'456-522/1','P','D403','Ut',2,9,'L104','','L',0,2003);
INSERT INTO `rozvrh` VALUES (2,'456-522/1','P','D403','St',2,5,'L114','','L',0,2003);
INSERT INTO `rozvrh` VALUES (3,'456-099/1','P','E320','St',2,6,'L392','','L',0,2003);
INSERT INTO `rozvrh` VALUES (4,'456-326/1','P','A1033','Po',2,127,'L502','','L',0,2003);
INSERT INTO `rozvrh` VALUES (5,'456-099/1','P','E320','St',2,9,'L394','','L',0,2003);
INSERT INTO `rozvrh` VALUES (6,'456-099/1','P','E320','St',2,11,'L393','','L',0,2003);
INSERT INTO `rozvrh` VALUES (7,'456-522/1','P','D403','Ut',2,7,'L108','','L',0,2003);
UNLOCK TABLES;
/*!40000 ALTER TABLE `rozvrh` ENABLE KEYS */;

--
-- Table structure for table `status`
--

DROP TABLE IF EXISTS `status`;
CREATE TABLE `status` (
  `login` varchar(8) collate utf8_czech_ci NOT NULL default '',
  `status` smallint(1) NOT NULL default '2',
  PRIMARY KEY  (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `status`
--


/*!40000 ALTER TABLE `status` DISABLE KEYS */;
LOCK TABLES `status` WRITE;
INSERT INTO `status` VALUES ('las03',1);
INSERT INTO `status` VALUES ('szt012',2);
INSERT INTO `status` VALUES ('hyn024',2);
INSERT INTO `status` VALUES ('dvo056',2);
INSERT INTO `status` VALUES ('ben064',2);
INSERT INTO `status` VALUES ('sou063',3);
INSERT INTO `status` VALUES ('mud016',3);
INSERT INTO `status` VALUES ('imr003',3);
INSERT INTO `status` VALUES ('tre041',3);
INSERT INTO `status` VALUES ('root',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `status` ENABLE KEYS */;

--
-- Table structure for table `testy`
--

DROP TABLE IF EXISTS `testy`;
CREATE TABLE `testy` (
  `id_testu` int(11) NOT NULL auto_increment,
  `id_ulohy` int(11) NOT NULL default '0',
  `nazev_testu` tinytext collate utf8_czech_ci NOT NULL,
  `vlozeno` varchar(36) collate utf8_czech_ci NOT NULL default '',
  `login` varchar(8) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`id_testu`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `testy`
--


/*!40000 ALTER TABLE `testy` DISABLE KEYS */;
LOCK TABLES `testy` WRITE;
INSERT INTO `testy` VALUES (1,1,'TestKalkulackaAritm','25. září 2006 12:52:58 CEST','ben064');
INSERT INTO `testy` VALUES (2,1,'TestKalkulackaExt','25. září 2006 12:53:06 CEST','ben064');
INSERT INTO `testy` VALUES (3,1,'TestKalkulackaPor','25. září 2006 12:53:13 CEST','ben064');
INSERT INTO `testy` VALUES (4,2,'TestRetezceEdit','25. září 2006 13:02:06 CEST','ben064');
INSERT INTO `testy` VALUES (5,2,'TestRetezceOper','25. září 2006 13:02:13 CEST','ben064');
INSERT INTO `testy` VALUES (6,2,'TestRetezcePorov','25. září 2006 13:02:22 CEST','ben064');
INSERT INTO `testy` VALUES (7,3,'TestPole','25. září 2006 13:09:27 CEST','ben064');
UNLOCK TABLES;
/*!40000 ALTER TABLE `testy` ENABLE KEYS */;

--
-- Table structure for table `testy_metody`
--

DROP TABLE IF EXISTS `testy_metody`;
CREATE TABLE `testy_metody` (
  `id_metody` int(11) NOT NULL auto_increment,
  `id_testu` int(11) NOT NULL default '0',
  `nazev_metody` tinytext collate utf8_czech_ci NOT NULL,
  PRIMARY KEY  (`id_metody`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `testy_metody`
--


/*!40000 ALTER TABLE `testy_metody` DISABLE KEYS */;
LOCK TABLES `testy_metody` WRITE;
INSERT INTO `testy_metody` VALUES (1,1,'testSecti');
INSERT INTO `testy_metody` VALUES (2,1,'testOdecti');
INSERT INTO `testy_metody` VALUES (3,1,'testVynasob');
INSERT INTO `testy_metody` VALUES (4,1,'testVydel');
INSERT INTO `testy_metody` VALUES (5,2,'testModulo');
INSERT INTO `testy_metody` VALUES (6,2,'testFactorial');
INSERT INTO `testy_metody` VALUES (7,2,'testObvodKruznice');
INSERT INTO `testy_metody` VALUES (8,2,'testObsahKruznice');
INSERT INTO `testy_metody` VALUES (9,3,'testOdmocni');
INSERT INTO `testy_metody` VALUES (10,3,'testUmocni');
INSERT INTO `testy_metody` VALUES (11,3,'testMaximum');
INSERT INTO `testy_metody` VALUES (12,3,'testMinimum');
INSERT INTO `testy_metody` VALUES (13,4,'testNahrad');
INSERT INTO `testy_metody` VALUES (14,4,'testOdstranBileZnaky');
INSERT INTO `testy_metody` VALUES (15,4,'testVratPodretezec');
INSERT INTO `testy_metody` VALUES (16,4,'testzacinaPrefixem');
INSERT INTO `testy_metody` VALUES (17,5,'testVratPocetVyskytu');
INSERT INTO `testy_metody` VALUES (18,5,'testOdstranZnakRetezec');
INSERT INTO `testy_metody` VALUES (19,5,'testReverse');
INSERT INTO `testy_metody` VALUES (20,5,'testPrevodMalaVelka');
INSERT INTO `testy_metody` VALUES (21,6,'testPorovnej');
INSERT INTO `testy_metody` VALUES (22,6,'testSpojit');
INSERT INTO `testy_metody` VALUES (23,6,'testHash');
INSERT INTO `testy_metody` VALUES (24,6,'testDelka');
INSERT INTO `testy_metody` VALUES (25,7,'testPorovnej');
INSERT INTO `testy_metody` VALUES (26,7,'testVyhledej');
INSERT INTO `testy_metody` VALUES (27,7,'testVratPocet');
INSERT INTO `testy_metody` VALUES (28,7,'testSoucet');
UNLOCK TABLES;
/*!40000 ALTER TABLE `testy_metody` ENABLE KEYS */;

--
-- Table structure for table `ucit_roz`
--

DROP TABLE IF EXISTS `ucit_roz`;
CREATE TABLE `ucit_roz` (
  `id` int(11) NOT NULL auto_increment,
  `ucitel` char(8) NOT NULL default '',
  `hodina` int(11) NOT NULL default '0',
  `tydny` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ucit_roz`
--


/*!40000 ALTER TABLE `ucit_roz` DISABLE KEYS */;
LOCK TABLES `ucit_roz` WRITE;
INSERT INTO `ucit_roz` VALUES (1,'szt012',5,0);
INSERT INTO `ucit_roz` VALUES (2,'szt012',3,0);
INSERT INTO `ucit_roz` VALUES (3,'szt012',6,0);
INSERT INTO `ucit_roz` VALUES (4,'hyn024',1,0);
INSERT INTO `ucit_roz` VALUES (5,'dvo056',2,0);
INSERT INTO `ucit_roz` VALUES (6,'hyn024',7,0);
INSERT INTO `ucit_roz` VALUES (7,'ben064',1,0);
INSERT INTO `ucit_roz` VALUES (8,'ben064',3,0);
INSERT INTO `ucit_roz` VALUES (9,'las03',3,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `ucit_roz` ENABLE KEYS */;

--
-- Table structure for table `uloha`
--

DROP TABLE IF EXISTS `uloha`;
CREATE TABLE `uloha` (
  `id_ulohy` int(11) NOT NULL auto_increment,
  `nazev_ulohy` tinytext collate utf8_czech_ci NOT NULL,
  `popis_ulohy` tinytext collate utf8_czech_ci NOT NULL,
  `text_ulohy` text collate utf8_czech_ci NOT NULL,
  `jmeno_tridy` tinytext collate utf8_czech_ci NOT NULL,
  `predmet` varchar(10) collate utf8_czech_ci NOT NULL default '',
  `vlozeno` varchar(36) collate utf8_czech_ci NOT NULL default '',
  `login` varchar(8) collate utf8_czech_ci NOT NULL default '',
  `kompilace` char(1) collate utf8_czech_ci NOT NULL default '',
  `testy` char(1) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`id_ulohy`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `uloha`
--


/*!40000 ALTER TABLE `uloha` DISABLE KEYS */;
LOCK TABLES `uloha` WRITE;
INSERT INTO `uloha` VALUES (1,'Implementace jednoduché kalkulačky','Procvičení práce s aritmetickými operacemi','Implementujte jednoduchou kalkulačku a její základní funkce. sad','Kalkulacka','456-099/1','25. září 2006 12:53:57 CEST','ben064','A','A');
INSERT INTO `uloha` VALUES (2,'Operace s řetězci','Procvičení práce s řetězci','Implementujte následující metody, které pracují s řetězci.','Retezce','456-099/1','25. září 2006 12:54:43 CEST','ben064','A','A');
INSERT INTO `uloha` VALUES (3,'Práce s poli','Procvičení práce s poli','Implementujte metody, které pracují s poli.','Pole','456-099/1','25. září 2006 13:07:43 CEST','ben064','A','A');
UNLOCK TABLES;
/*!40000 ALTER TABLE `uloha` ENABLE KEYS */;

--
-- Table structure for table `uloha_metoda`
--

DROP TABLE IF EXISTS `uloha_metoda`;
CREATE TABLE `uloha_metoda` (
  `id_metody` int(11) NOT NULL auto_increment,
  `uloha` int(11) NOT NULL default '0',
  `popis_metody` tinytext collate utf8_czech_ci NOT NULL,
  `hlavicka_metody` tinytext collate utf8_czech_ci NOT NULL,
  PRIMARY KEY  (`id_metody`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `uloha_metoda`
--


/*!40000 ALTER TABLE `uloha_metoda` DISABLE KEYS */;
LOCK TABLES `uloha_metoda` WRITE;
INSERT INTO `uloha_metoda` VALUES (1,1,'Metoda pro sečtení dvou čísel','public int secti(int cislo1, int cislo2)');
INSERT INTO `uloha_metoda` VALUES (2,1,'Metoda pro odečtení dvou čísel','public int odecti(int cislo1, int cislo2)');
INSERT INTO `uloha_metoda` VALUES (3,1,'Metoda pro vynásobení dvou čísel','public int vynasob(int cislo1, int cislo2)');
INSERT INTO `uloha_metoda` VALUES (4,1,'Metoda pro vydělení dvou čísel','public int vydel(int cis1, int cis2)');
INSERT INTO `uloha_metoda` VALUES (5,1,'Metoda pro odmocnění čísla','public double odmocni(double cislo1)');
INSERT INTO `uloha_metoda` VALUES (6,1,'Metoda pro umocnění čísla','public double umocni(double cislo1, double cislo2)');
INSERT INTO `uloha_metoda` VALUES (7,1,'Metoda pro výpočet maxima','public int maximum(int cislo1, int cislo2)');
INSERT INTO `uloha_metoda` VALUES (8,1,'Metoda pro výpočet minima','public int minimum(int cislo1, int cislo2)');
INSERT INTO `uloha_metoda` VALUES (9,1,'Metoda pro výpočet modula','public int modulo(int cislo1, int cislo2)');
INSERT INTO `uloha_metoda` VALUES (10,1,'Metoda pro výpočet faktoriálu','public int factorial(int cislo1)');
INSERT INTO `uloha_metoda` VALUES (11,1,'Metoda pro výpočet obvodu kružnice','public double obvodKruznice(double cislo1)');
INSERT INTO `uloha_metoda` VALUES (12,1,'Metoda pro výpočet obsahu kružnice','public double obsahKruznice(double cislo1)');
INSERT INTO `uloha_metoda` VALUES (13,2,'Metoda na porovnání dvou řetězců','public int porovnej(String retezec1, String retezec2)');
INSERT INTO `uloha_metoda` VALUES (14,2,'Metoda na spojení dvou řetězců','public String spojit(String retezec1, String retezec2)');
INSERT INTO `uloha_metoda` VALUES (15,2,'Metoda pro výpočet hashe','public int hash(String retezec1)');
INSERT INTO `uloha_metoda` VALUES (16,2,'Metoda pro výpočet délky řetězce','public int delka(String retezec1)');
INSERT INTO `uloha_metoda` VALUES (17,2,'Metoda pro náhradu jednoho znaku druhým','public String nahrad(String retezec1, char znak1, char znak2)');
INSERT INTO `uloha_metoda` VALUES (18,2,'Metoda pro odstraněni bílých znaků','public String odstranBileZnaky(String retezec1)');
INSERT INTO `uloha_metoda` VALUES (19,2,'Metoda, která vrátí podřetězec','public String vratPodretezec(String retezec1, int index1, int index2)');
INSERT INTO `uloha_metoda` VALUES (20,2,'Metoda zda začiná prefixem','public boolean zacinaPrefixem(String retezec1, String retezec2)');
INSERT INTO `uloha_metoda` VALUES (21,2,'Metoda, která spočítá počet výskytů znaku','public int vratPocetVyskytu(String retezec1, char znak1)');
INSERT INTO `uloha_metoda` VALUES (22,2,'Metoda, která odstraní zadané znaky z řetězce','public String odstranZnakRetezec(String retezec1, char znak)');
INSERT INTO `uloha_metoda` VALUES (23,2,'Metoda, která překlopí řetězec','public String reverse(String retezec1)');
INSERT INTO `uloha_metoda` VALUES (24,2,'Metoda pro převod na malá a velká písmena','public String prevodMalaVelka(String retezec1)');
INSERT INTO `uloha_metoda` VALUES (26,3,'Metoda, která porovná dvě pole','public boolean porovnej(int[] pole1, int[] pole2)');
INSERT INTO `uloha_metoda` VALUES (27,3,'Metoda, která vzhledá číslo v poli','public int vyhledej(int[] pole, int cis1)');
INSERT INTO `uloha_metoda` VALUES (28,3,'Metoda, která vrátí počet výskytů zadaného čísla','public int vratPocet(int[] pole, int cis1)');
INSERT INTO `uloha_metoda` VALUES (29,3,'Metoda, která vrátí součet pole','public int soucet(int[] pole)');
UNLOCK TABLES;
/*!40000 ALTER TABLE `uloha_metoda` ENABLE KEYS */;

--
-- Table structure for table `vysledky`
--

DROP TABLE IF EXISTS `vysledky`;
CREATE TABLE `vysledky` (
  `id_vysledku` int(11) NOT NULL auto_increment,
  `login` varchar(8) collate utf8_czech_ci NOT NULL default '',
  `id_rozvrhu` int(11) NOT NULL default '0',
  `id_cviceni` int(11) NOT NULL default '0',
  `id_ulohy` int(11) NOT NULL default '0',
  `odevzdano` varchar(36) collate utf8_czech_ci NOT NULL default '',
  `kompilace` char(1) collate utf8_czech_ci NOT NULL default '',
  `pocet_eroru` tinyint(4) NOT NULL default '0',
  `pocet_failu` tinyint(4) NOT NULL default '0',
  `vysledek` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id_vysledku`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `vysledky`
--


/*!40000 ALTER TABLE `vysledky` DISABLE KEYS */;
LOCK TABLES `vysledky` WRITE;
INSERT INTO `vysledky` VALUES (1,'sou063',3,1,1,'2006-12-16 16:35:51','N',0,0,0);
INSERT INTO `vysledky` VALUES (2,'sou063',3,1,1,'2006-12-16 16:36:59','N',0,0,0);
INSERT INTO `vysledky` VALUES (3,'sou063',3,1,1,'2006-12-16 16:37:21','N',0,0,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `vysledky` ENABLE KEYS */;

--
-- Table structure for table `zapis`
--

DROP TABLE IF EXISTS `zapis`;
CREATE TABLE `zapis` (
  `id` int(11) NOT NULL auto_increment,
  `rok_st` smallint(6) NOT NULL default '0',
  `semestr` enum('Z','L') NOT NULL default 'Z',
  `predmet` char(10) NOT NULL default '',
  `student` char(8) NOT NULL default '',
  `platnost` char(1) NOT NULL default 'A',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `predm_st` (`rok_st`,`semestr`,`predmet`,`student`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `zapis`
--


/*!40000 ALTER TABLE `zapis` DISABLE KEYS */;
LOCK TABLES `zapis` WRITE;
INSERT INTO `zapis` VALUES (1,2003,'L','456-522/1','sou063','A');
INSERT INTO `zapis` VALUES (2,2003,'L','456-099/1','sou063','A');
INSERT INTO `zapis` VALUES (3,2003,'L','456-522/1','mud016','A');
INSERT INTO `zapis` VALUES (4,2003,'L','456-099/1','mud016','A');
INSERT INTO `zapis` VALUES (5,2003,'L','456-099/1','imr003','A');
INSERT INTO `zapis` VALUES (6,2003,'L','456-099/1','tre041','A');
UNLOCK TABLES;
/*!40000 ALTER TABLE `zapis` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

