package cz.vsb.jtestserver;

import org.apache.struts.util.MessageResources;

public class Config{

	protected static MessageResources messages;

	public Config(String fileName){
		messages = MessageResources.getMessageResources(fileName);
	}
	
	public String getDbServer(){
		return messages.getMessage("projectserver");
	}
	
	public String getDbDatabase(){
		return messages.getMessage("projectdatabaze");
	}
	
	public String getDbUserName(){
		return messages.getMessage("projectusername");
	}
	
	public String getDbUserPass(){
		return messages.getMessage("projectuserpass");
	}
	
	public String getLdapURL(){
		return messages.getMessage("ldapurl");
	}

	public String getSaveFilePath(){
		return messages.getMessage("saveFilePath");
	}
	
	public String getSaveTestPath(){
		return messages.getMessage("saveTestPath");
	}
	
	public String getSaveFileTPath(){
		return messages.getMessage("saveFileTPath");
	}
	
	public String getJunitPath(){
		return messages.getMessage("junitPath");
	}
}
