package cz.vsb.jtestserver.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.PridatCviceniForm;
import cz.vsb.jtestserver.service.CviceniManager;
import cz.vsb.jtestserver.util.ServerUtil;

public class SavePridatCviceniAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		PridatCviceniForm ulohaform = (PridatCviceniForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			Integer idCviceni = ulohaform.getIdCviceni();
			CviceniManager cm = new CviceniManager();
			if (idCviceni == null || idCviceni == 0) {
				Integer idRozvrhu = ulohaform.getIdRozvrhu();
				Integer cisloCviceni = ulohaform.getCisloCviceni();
				String popisCviceni = ulohaform.getPopisCviceni();
				String nazevCviceni = ulohaform.getNazevCviceni();
				cm.addcviceni(idRozvrhu, cisloCviceni, nazevCviceni,
						popisCviceni);
			} else {
				Integer idRozvrhu = ulohaform.getIdRozvrhu();
				Integer CisloCviceni = ulohaform.getCisloCviceni();
				String popisCviceni = ulohaform.getPopisCviceni();
				String NazevCviceni = ulohaform.getNazevCviceni();
				cm.updateCviceni(idCviceni, idRozvrhu, CisloCviceni,
						popisCviceni, NazevCviceni);
			}
			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}

}
