package cz.vsb.jtestserver.service;

import cz.vsb.jtestserver.util.Database;
import cz.vsb.jtestserver.view.HodinaView;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

public class HodinaManager {
	static Logger logger = Logger.getLogger(HodinaManager.class);

	public List<HodinaView> findHodiny(String kod) {
		ArrayList<HodinaView> hodiny = new ArrayList<HodinaView>();
		Connection con = null;
		try {
			con = Database.getConnection();
			String query = "SELECT * FROM rozvrh WHERE predmet = '"
				+ kod + '\'';
			logger.debug(query);
			Statement sql = con.createStatement();
			ResultSet results = sql.executeQuery(query);
			while (results.next()) {
				hodiny.add(createHodinaFormRS(results));
			}
                        results.close();
                        sql.close();
                        con.close();
		} catch (SQLException e) {
			logger.error(e, e);
		}
		return hodiny;
	}

	public HodinaView findHodinu(int idHodiny) {
		HodinaView hodinaView = null;
		Connection con = null;
		try {
			con = Database.getConnection();
			String query = "SELECT * FROM rozvrh WHERE id = " + idHodiny;
			logger.debug(query);
			Statement sql = con.createStatement();
			ResultSet results = sql.executeQuery(query);
			if (results.next()) {
				hodinaView = createHodinaFormRS(results);
			}
                        results.close();
                        sql.close();
                        con.close();
		} catch (SQLException e) {
			logger.error(e, e);
		}
		return hodinaView;
	}

	private HodinaView createHodinaFormRS(ResultSet rs) throws SQLException {
		HodinaView hv = new HodinaView();
		hv.setId(rs.getInt("id"));
		hv.setMisto(rs.getString("misto"));
		hv.setSemestr(rs.getString("semestr"));
		hv.setDen(rs.getString("den"));
		hv.setZacatek(rs.getInt("zacatek"));
		hv.setDelka(rs.getInt("delka"));
		hv.setSkupina(rs.getString("skupina"));
		hv.setKapacita(rs.getInt("kapacita"));
		return hv;
	}
}
