package cz.vsb.jtestserver.util;

import java.sql.Connection;
import java.sql.SQLException;

import javax.sql.DataSource;

public class Database {
	public static void init(DataSource ds) {
		instance = new Database(ds);
	}

	public static Database getInstance() {
		assert instance != null;
		return instance;
	}

	public static Connection getConnection() throws SQLException {
		assert instance != null;
		assert instance.ds != null;
		return instance.ds.getConnection();
	}

	private Database(DataSource ds) {
		this.ds = ds;
	}

	private DataSource ds;

	private static Database instance;
}
