<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<table border="0" width="100%" height="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.welcome"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<c:if test="${USER_VIEW.status eq 'r'}">
							<tr>
								<td>
									<html:link page="/pridatPredmetAction.do" styleClass="menulink">
										<bean:message key="label.add.predmet"/>
									</html:link>
								</td>
							</tr>
							<tr>
								<td>
									<html:link page="/odstranitPredmetAction.do"  styleClass="menulink">
										<bean:message key="label.remove.predmet"/>
									</html:link>
								</td>
							</tr>
						</c:if>
						<tr>
							<td>
								<html:link page="/logout.do" styleClass="menulink">
									<bean:message key="label.logout"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<bean:message key="label.napoveda"/>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<c:if test="${USER_VIEW.status eq 'r'}">
						<h2><bean:message key="label.root.subject"/></h2>
					</c:if>
					<c:if test="${USER_VIEW.status eq 's'}">
						<h2><bean:message key="label.student.subject"/></h2>
					</c:if>
					<c:if test="${USER_VIEW.status eq 'u'}">
						<h2><bean:message key="label.teacher.subject"/></h2>
					</c:if>
					<c:if test="${USER_VIEW.status eq 'r'}">
						<c:forEach var="r" varStatus="st" items="${hlavniStrankaForm.predmet}">
							<h3><c:out value="${r.nazev}"/></h3>
						</c:forEach>
					</c:if>
					<c:if test="${USER_VIEW.status ne 'r'}">
						<c:forEach var="r" varStatus="st" items="${hlavniStrankaForm.predmet}">
							<br/>
								<c:if test="${USER_VIEW.status eq 's'}">
									<html:link page="/rozvhHodinAction.do" paramId="kod" paramName="r" paramProperty="kod" styleClass="link">
										<c:out value="${r.nazev}"/>
									</html:link>
								</c:if>
								<c:if test="${USER_VIEW.status eq 'u'}">
									<html:link page="/zobrazitUlohuAction.do" paramId="kod" paramName="r" paramProperty="kod" styleClass="link">
										<c:out value="${r.nazev}"/>
									</html:link>
								</c:if>
						</c:forEach>
					</c:if>
				</td>
			</tr>
		</table>
	</body>
</html:html>
