<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<table border="0" width="100%" align="center" height="100%">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.pridani.predmetu"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/hlavniStrankaAction.do" styleClass="menulink">
									<bean:message key="label.hlavni.stranka"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<bean:message key="label.napoveda"/>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<div align="center" class="error"><html:errors/></div>
						<html:form action="savePridatPredmetAction.do" method="get">
							<table align="center" width="100%" >
								<tr>
									<td class="menu">
										<bean:message key="label.seznam.predmetu"/>
									</td>
								</tr>
								<tr>
									<td class="menu">
										<div align="center">
											<select name="predmet">
												<c:forEach var="r" varStatus="st" items="${pridatPredmetForm.predmet}">
													<option><c:out value="${r.kod}"/> - <c:out value="${r.nazev}"/>
												</c:forEach>
											</select>
										</div>
									</td>
								</tr>
								<tr>
									<td colspan="2" class="menu">
										<div align="center">
											<html:submit>
												<bean:message key="button.label.Add"/> 
											</html:submit>
										</div>
									</td>
								</tr>
							</table>
						</html:form>
				</td>
			</tr>
		</table>
	</body>
</html:html>
