<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.test.soubor.add"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/zobrazitUlohuCviceniAction.do" paramId="idUlohy" paramName="pridatTestovanySouborForm" paramProperty="idUlohy" styleClass="menulink">
									<bean:message key="link.uloha.zdrojovy.soubor.zpet"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<p>
						<div class="error">
							<html:errors/>
						</div>
					</p>
					<html:form action="/savePridatTestovanySouborAction.do" enctype="multipart/form-data" method="post">
						<html:hidden property="idUlohy"/>
						<table>
							<tr>
								<td class="menu">
									<bean:message key="label.vybrat.soubor"/>
								</td>
								<td class="menu">
									<html:file property="file"/>
								</td>
							</tr>
							<tr>
								<td colspan="2" class="menu">
									<div align="center">
										<html:submit>
											<bean:message key="button.label.vlozit"/> 
										</html:submit>
									</div>
								</td>
							<tr>
						</table>
					</html:form>
				</td>
			</tr>
		</table>
	</body>
</html:html>
