<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="predmet" value="${PREDMET_VIEW}"/> 
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.uloha.pridat"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/zobrazitUlohuAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
									<bean:message key="label.zpet.ulohy"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/zobrazitPredmetAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
									<bean:message key="label.zpet.predmet"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/hlavniStrankaAction.do" styleClass="menulink">
									<bean:message key="label.hlavni.stranka"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<div aling="center" class="error"><html:errors/></div>
					<html:form action="/savePridatUlohuAction.do">
						<html:hidden property="idUlohy"/>
						<table align="left">
							<tr>
								<td class="menu"><b><bean:message key="label.predmet"/></b></td>
								<td class="menu"><bean:write name="PREDMET_VIEW" property="nazev" scope="session"/></td>
							</tr>
							<tr>
								<td class="menu"><b><bean:message key="label.autor"/></b></td>
								<td class="menu"><bean:write name="USER_VIEW" property="login" scope="session"/></td>
							</tr>
							<tr>
								<td class="menu"><b><bean:message key="label.uloha.nazev"/></b></td>
								<td class="menu"><html:text property="nazevUlohy" size="50"/></td>
							</tr>
							<tr>
								<td class="menu"><b><bean:message key="label.jmenotridy"/></b></td>
								<td class="menu"><html:text property="jmenoTridy" size="50"/></td>
							</tr>
							<tr>
								<td class="menu"><b><bean:message key="label.popisulohy"/></b></td>
								<td class="menu"><html:textarea property="popisUlohy" rows="5" cols="40"/></td>
							</tr>
							<tr>
								<td class="menu"><b><bean:message key="label.textulohy"/></b></td>
								<td class="menu"><html:textarea property="textUlohy" rows="5" cols="40"/></td>
							</tr>
							<tr>
								<td colspan="2" class="menu">
									<div align="center">
										<html:submit>
											<bean:message key="button.label.vlozit"/>
										</html:submit>
									</div>
								</td>
							</tr>
						</table>
					</html:form>
				</td>
			</tr>
		</table>
	</body>
</html:html>
