<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="cviceni" value="${CVICENI_VIEW}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><c:out value="${CVICENI_VIEW.nazevCviceni}"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/zobrazCviceniDetailAction.do" paramId="idCviceni" paramName="CVICENI_VIEW" paramProperty="idCviceni" styleClass="menulink">
									<bean:message key="link.zpet.na.cviceni"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<table width="100%">
						<tr>
							<td class="menu"><bean:message key="lanel.uloha.nazev"/>:</td>
						</tr>
						<tr>
							<td class="menu">
								<html:form action="/savePridatUlohuCviceniAction.do">
									<html:hidden property="idCviceni"/>
										<select name="uloha">
											<c:forEach var="ulohy" varStatus="ulohys" items="${pridatUlohaCviceniForm.ulohy}">
												<option value="<c:out value="${ulohy.idUlohy}"/>">
													<c:out value="${ulohy.nazevUlohy}"/>
												</option>
											</c:forEach>
										</select>
										<html:submit>
											<bean:message key="button.label.Add"/>
										</html:submit>
									</html:form>
								</td>
							</tr>
						</table>
				</td>
			</tr>
		</table>
	</body>
</html:html>
