<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="cviceni" value="${CVICENI_VIEW}"/>
		<c:set var="online" value="${spustitTestyForm.onLine}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><c:out value="${cviceni.nazevCviceni}"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/zobrazCviceniDetailAction.do" paramId="idCviceni" paramName="cviceni" paramProperty="idCviceni" styleClass="link">
									<bean:message key="link.zpet.seznam.cviceni"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<c:if test="${online eq '0'}">
						<div aling="left"class="info">
							<bean:message key="label.testy.cviceni"/>: <c:out value="${cviceni.nazevCviceni}"/> <bean:message key="label.testy.cviceni.off"/>
						</div>
						<br>
							<div aling="left">
								<bean:message key="label.continue"/>
								<html:link page="/zobrazCviceniDetailAction.do" paramId="idCviceni" paramName="cviceni" paramProperty="idCviceni" styleClass="link">
									<bean:message key="label.here"/>
								</html:link>
							</div>
					</c:if>
					<c:if test="${online eq '1'}">
						<div aling="left"class="info">
							<bean:message key="label.testy.cviceni"/>: <c:out value="${cviceni.nazevCviceni}"/> <bean:message key="label.testy.cviceni.on"/>
						</div>
						<br>
							<div aling="left"> 
								<bean:message key="label.continue"/>
								<html:link page="/zobrazCviceniDetailAction.do" paramId="idCviceni" paramName="cviceni" paramProperty="idCviceni" styleClass="link">
									<bean:message key="label.here"/>
								</html:link>
					</c:if>
				</td>
			</tr>
		</table>
	</body>
</html:html>
