<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="predmet" value="${PREDMET_VIEW}"/> 
		<c:set var="hodina" value="${zobrazCviceniForm.hodina}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><c:out value="${predmet.nazev}"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<html:link page="/zobrazSeznamCviceniAction.do" paramId="idHodiny" paramName="hodina" paramProperty="id" styleClass="menulink">
									<bean:message key="label.zobraz.seznam.cviceni"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/rozvhHodinAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
									<bean:message key="label.zpet.rozvrh"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/zobrazitPredmetAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
									<bean:message key="label.zpet.predmet"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/hlavniStrankaAction.do" styleClass="menulink">
									<bean:message key="label.hlavni.stranka"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<table valign="top" align="center">
						<tr>
							<td class="menu"><b><bean:message key="label.predmet.kod"/></b></td>
							<td class="menu"><bean:write name="PREDMET_VIEW" property="kod" scope="session"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.predmet.zkratka"/></b></td>
							<td class="menu"><bean:write name="PREDMET_VIEW" property="zkratka" scope="session"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.predmet.nazev"/></b></td>
							<td class="menu"><bean:write name="PREDMET_VIEW" property="nazev" scope="session"/></td>
						</tr>
					</table>
					<hr align="center" width="100%"></hr>
					<table valign="top" align="left">
						<tr>
							<td class="menu"><b><bean:message key="label.semestr"/></b></td>
							<td class="menu">
								<c:if test="${hodina.semestr eq 'L'}">
									<bean:message key="label.semestr.letni"/>
								</c:if>
								<c:if test="${hodina.semestr eq 'Z'}">
									<bean:message key="label.semestr.zimni"/>
								</c:if>
							</td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.hodina"/></b></td>
							<td class="menu">
								<c:if test="${hodina.den eq 'Po'}">
									<bean:message key="label.den.pondeli"/>
								</c:if>
								<c:if test="${hodina.den eq 'Ut'}">
									<bean:message key="label.den.utery"/>
								</c:if>
								<c:if test="${hodina.den eq 'St'}">
									<bean:message key="label.den.streda"/>
								</c:if>
								<c:if test="${hodina.den eq 'Ct'}">
									<bean:message key="label.den.ctvrtek"/>
								</c:if>
								<c:if test="${hodina.den eq 'Pa'}">
									<bean:message key="label.den.patek"/>
								</c:if>
								<c:if test="${hodina.den eq 'So'}">
									<bean:message key="label.den.sobota"/>
								</c:if>
								<c:if test="${hodina.den eq 'Ne'}">
									<bean:message key="label.den.nedele"/>
								</c:if>
								&nbsp;,&nbsp;<c:out value="${hodina.zacatek}"/>:00&nbsp;,
								&nbsp;<c:out value="${hodina.delka}"/>&nbsp;<bean:message key="label.hodiny"/>
							</td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.mistnost"/></b></td>
							<td class="menu"><c:out value="${hodina.misto}"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.skupina"/></b></td>
							<td class="menu"><c:out value="${hodina.skupina}"/></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html:html>
