<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="predmet" value="${PREDMET_VIEW}"/> 
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.seznam.uloh"/> - <bean:write name="PREDMET_VIEW" property="nazev" scope="session"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table  width="100%" align="center" border="0" class="menunoborder">
						<c:if test="${USER_VIEW.status eq 'u'}">
							<tr>
								<td>
									<html:link page="/pridatUlohuAction.do" styleClass="menulink">
										<bean:message key="label.uloha.pridat" />
									</html:link>
								</td>
							</tr>
							<tr>
								<td>
									<html:link page="/rozvhHodinAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
										Zobrazit rozvrh
									</html:link>
								</td>
							</tr>
						</c:if>
						<c:if test="${USER_VIEW.status eq 's'}">
							<tr>
								<td>
									<html:link page="/rozvhHodinAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
										Zpet na rozvrh
									</html:link>
								</td>
							</tr>
						</c:if>
						<tr>
							<td>
								<html:link page="/hlavniStrankaAction.do" styleClass="menulink">
									<bean:message key="label.hlavni.stranka"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<table valign="top" align="center">
						<tr>
							<td class="menu"><b><bean:message key="label.predmet.kod"/></b></td>
							<td class="menu"><bean:write name="PREDMET_VIEW" property="kod" scope="session"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.predmet.zkratka"/></b></td>
							<td class="menu"><bean:write name="PREDMET_VIEW" property="zkratka" scope="session"/></td>
						</tr>
						<tr>
							<td class="menu"><b><bean:message key="label.predmet.nazev"/></b></td>
							<td class="menu"><bean:write name="PREDMET_VIEW" property="nazev" scope="session"/></td>
						</tr>
					</table>
					<hr align="center" witdh="100%"></hr>
					<c:forEach var="r" varStatus="st" items="${zobrazitUlohuForm.ulohy}">
					<br/>
						<html:link page="/zobrazitUlohuDetailAction.do" paramId="idUlohy" paramName="r" paramProperty="idUlohy" styleClass="link">
							<c:out value="${r.nazevUlohy}"/>
						</html:link>
					</c:forEach>
				</td>
			</tr>
		</table>
	</body>
</html:html>
