package cz.vsb.jtestserver.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;

import cz.vsb.jtestserver.IConstants;
import cz.vsb.jtestserver.form.PridatMetoduForm;
import cz.vsb.jtestserver.service.MetodaManager;
import cz.vsb.jtestserver.util.ServerUtil;

public class OdstranitMetoduAction extends Action {

	static Logger logger = Logger.getLogger(OdstranitMetoduAction.class);
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {

		PridatMetoduForm metForm = (PridatMetoduForm) form;
		ActionForward forward = null;

		if (!ServerUtil.isLoggedIn(request)) {
			forward = mapping.findForward(IConstants.SESSION_TIME_OUT_KEY);
		} else {
			int idMetody;
			try {
				idMetody = Integer.parseInt(request.getParameter("idMetody"));
			} catch (NumberFormatException e) {
				logger.error(e);
				return mapping.findForward(IConstants.FAILURE_KEY);
			}
			MetodaManager man = new MetodaManager();
			metForm.naplnit(man.findMetodu(idMetody));
			man.deleteMetoda(idMetody);

			forward = mapping.findForward(IConstants.SUCCESS_KEY);
		}
		return forward;
	}
}
