package cz.vsb.jtestserver.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import cz.vsb.jtestserver.view.MetodaView;

public class PridatMetoduForm extends ActionForm {

	private static final long serialVersionUID = 1L;
	private Integer idMetody;
	private Integer idUlohy;
	private String popisMetody;
	private String hlavickaMetody;

	public void setIdUlohy(Integer idUlohy){
		this.idUlohy = idUlohy;
	}
	
	public void setIdMetody(Integer idMetody){
		this.idMetody = idMetody;
	}
	
	public void setPopisMetody(String popisMetody){
		this.popisMetody = popisMetody;
	}
	
	public void setHlavickaMetody(String hlavickaMetody){
		this.hlavickaMetody = hlavickaMetody;
	}
	
	public Integer getIdUlohy(){
		return this.idUlohy;
	}
	
	public Integer getIdMetody(){
		return this.idMetody;
	}
	
	public String getPopisMetody(){
		return this.popisMetody;
	}
	
	public String getHlavickaMetody(){
		return this.hlavickaMetody;
	}
	
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest req ){
		ActionErrors errors = new ActionErrors();

		if(hlavickaMetody == null || hlavickaMetody.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE , new ActionMessage("error.nazevUlohy"));
		}

		if(popisMetody == null || popisMetody.length() == 0) {
			errors.add(ActionMessages.GLOBAL_MESSAGE , new ActionMessage("error.popisUlohy" ));
		}

		return errors;
	}

	public void naplnit(MetodaView mv){
		this.idMetody = mv.getIdMetody();
		this.idUlohy = mv.getUloha();
		this.hlavickaMetody = mv.getHlavickaMetody();
		this.popisMetody = mv.getPopisMetody();
	}
}