package cz.vsb.jtestserver.util;

import java.io.IOException;
import java.io.InputStream;

/**
 * Trida, potlacujici cteni ze standardniho vstupu
 */
public class RLInputStream extends InputStream {
	/**
	 * Cteni neni povoleno
	 */
	public int read() throws IOException{
		throw new IOException("Read not supported");
	}

	/**
	 * Cteni neni povoleno
	 */
	public int read(byte[] b) throws IOException{
		throw new IOException("Read not supported");
	}

	/**
	* Cteni nenipovoleno
	*/
	public int read(byte[] b, int off, int len) throws IOException {
		throw new IOException("Read not supported");
	}

	/**
	* Posun neni povolen.
	*/
	public long skip(long n) throws IOException{
		throw new IOException("Skip not supported");
	}

	/**
	* Vraci pocet znaku, ktere mohou byt jeste z tohoto vstupu ziskany.
	*/
	public int available() throws IOException {
		return 0;
	}

	/**
	* Uzavirani neni povoleno.
	*/
	public void close() throws IOException {
		throw new IOException("Close not supported");
	}

	/**
	* Neni podporovano
	*/
	public synchronized void mark(int readlimit){
	}

	/**
	* Reset neni povolen.
	*/
	public synchronized void reset() throws IOException {
		throw new IOException("Mark/reset not supported");
	}

	/**
	* Test, zda-li InputStream podporuje mark/reset funkce
	*/
	public boolean markSupported(){
		return false;
	}
}

