<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.pridat.cviceni"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<tr>
							<td>
								<bean:message key="link.zpet.seznam.cviceni"/>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<dir class="error" align="left"><html:errors/></dir>
					<html:form action="/savePridatCviceniAction.do">
						<html:hidden property="idCviceni"/>
						<html:hidden property="idRozvrhu"/>
						<table>
							<tr>
								<td class="menu">
									<b>
										<bean:message key="label.cviceni.nazev"/>
									</b>
								</td>
								<td class="menu">
									<html:text property="nazevCviceni" size="50"/>
								</td>
							</tr>
							<tr>
								<td class="menu">
									<b>
										<bean:message key="label.cviceni.popis"/>
									</b>
								</td>
								<td class="menu">
									<html:textarea property="popisCviceni" rows="5" cols="25"/>
								</td>
							</tr>
							<tr>
								<td class="menu">
									<b>
										<bean:message key="label.cviceni.cislo"/>
									</b>
								</td>
								<td class="menu">
									<select name="cisloCviceni">
										<c:forEach var="cisla" varStatus="scisla" items="${pridatCviceniForm.moznaCisla}">
											<option><c:out value="${cisla}"/></option>
										</c:forEach>
									</select>
								</td>
							</tr>
							<tr>
								<td colspan="2" class="menu">
									<div align="center">
										<html:submit>
											<bean:message key="button.label.Add"/>
										</html:submit>
										<html:reset>
											<bean:message key="button.label.reset"/>
										</html:reset>
									</div>
								</td>
							</tr>
						</table>
					</html:form>
				</td>
			</tr>
		</table>
	</body>
</html:html>
