<%@ page language="java" pageEncoding="utf-8"%>

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt"%>

<html:html>
	<head>
		<title>
			<bean:message key="title.allpages"/>
		</title>
		<link href="style/styles1.css" type="text/css" rel="StyleSheet" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Language" content="cz" />
		<meta http-equiv="pragma" content="no-cache" />
	</head>
	<body>
		<c:set var="uloha" value="${zobrazitUlohuDetailForm.uloha}"/>
		<c:set var="predmet" value="${PREDMET_VIEW}"/>
		<table border="0" width="100%" align="center">
			<tr>
				<td height="10%" colspan="2" valign="middle" class="menu">
					<div align="center">
						<h1><bean:message key="label.uloha.detail"/></h1>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20%" align="left" valign="top" class="menu">
					<%@ include file="user_info.jsp" %>
					<table width="100%" align="center" border="0" class="menunoborder">
						<c:if test="${USER_VIEW.status eq 'u'}">
							<c:if test="${USER_VIEW.login eq uloha.login}">
								<tr>
									<td>
										<html:link page="/pridatUlohuAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="menulink">
											<bean:message key="label.uloha.edit"/>
										</html:link>
									</td>
								</tr>
								<tr>
									<td>
										<html:link page="/odstranitUlohuAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="menulink">
											<bean:message key="label.odstranit.ulohu"/>
										</html:link>
									</td>
								</tr>
							</c:if>
						</c:if>
						<tr>
							<td>
								<html:link page="/zobrazitUlohuAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
									<bean:message key="label.zobraz.ulohu"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/zobrazitPredmetAction.do" paramId="kod" paramName="predmet" paramProperty="kod" styleClass="menulink">
									<bean:message key="label.zpet.predmet"/>
								</html:link>
							</td>
						</tr>
						<tr>
							<td>
								<html:link page="/hlavniStrankaAction.do" styleClass="menulink">
									<bean:message key="label.hlavni.stranka"/>
								</html:link>
							</td>
						</tr>
					</table>
				</td>
				<td width="80%" align="left" valign="top" class="menu">
					<div align="center">
						<h2><c:out value="${uloha.nazevUlohy}"/></h2>
					</div>
					<p>
						<b><bean:message key="label.predmet"/></b>
						<bean:write name="PREDMET_VIEW" property="nazev" scope="session"/>
						<br/>
						<b><bean:message key="label.autor"/></b>
						<c:out value="${uloha.login}"/>
						<br/>
						<b><bean:message key="label.vlozeno"/></b>
						<c:out value="${uloha.vlozeno}"/>
						<br/>
						<b><bean:message key="label.jmenotridy"/></b>
						<c:out value="${uloha.jmenoTridy}"/>
						<br/>
						<b><bean:message key="label.popisulohy"/></b>
						<c:out value="${uloha.popisUlohy}"/>
						<br/>
						<b><bean:message key="label.textulohy"/></b>
						<c:out value="${uloha.textUlohy}"/>
						<br/>
						<hr align="center" width="100%">
						<bean:message key="label.metody"/>
						<c:forEach var="r" varStatus="st" items="${zobrazitUlohuDetailForm.metody}">
							<br/>
							<c:if test="${USER_VIEW.status eq 'u'}">
								<html:link page="/odstranitMetoduAction.do" paramId="idMetody" paramName="r" paramProperty="idMetody" styleClass="link">
									<html:image srcKey="img.delete" altKey="img.delete.alt"/>
								</html:link>
								<html:link page="/pridatMetoduAction.do" paramId="idMetody" paramName="r" paramProperty="idMetody" styleClass="link">
									<html:image srcKey="img.edit" altKey="img.edit.alt"/>
								</html:link>
							</c:if>
							<i><c:out value="${r.hlavickaMetody}"/></i>
							<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<c:out value="${r.popisMetody}"/>
						</c:forEach>
						<c:if test="${USER_VIEW.status eq 'u'}">
							<html:link page="/pridatMetoduAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="link">
								<br/><bean:message key="label.metody.add"/>
							</html:link>
						</c:if>
					</p>
						<c:if test="${USER_VIEW.status eq 'u'}">
							<hr align="center" width="100%">
							<p>
								<c:if test="${uloha.kompilace eq 'N'}">
									<bean:message key="label.uloka.kompilace.n"/>
									<html:link action="/pridatZdrojovySouborUlohaAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="link">
										<br/><bean:message key="label.soubor.add"/>
									</html:link>
								</c:if>
								<c:if test="${uloha.kompilace eq 'A'}">
									<bean:message key="label.uloka.kompilace.a"/>
									<html:link action="/pridatZdrojovySouborUlohaAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="link">
										<br/><bean:message key="label.soubor.edit"/>
									</html:link>
								</c:if>
							</p>
							<hr align="center" width="100%">
							<p>
								<bean:message key="label.test.soubor.add"/>
								<html:link page="/pridatTestSouborUlohyAction.do" paramId="idUlohy" paramName="uloha" paramProperty="idUlohy" styleClass="link">
									<bean:message key="label.test.add"/>
								</html:link>
							</p>
							<hr align="center" width="100%">
							<p>
								<b><bean:message key="label.testy.seznam"/></b><br>
								<c:forEach var="testy" varStatus="stesty" items="${zobrazitUlohuDetailForm.testy}">
									<br/>&nbsp;&nbsp;<b><c:out value="${testy.nazevTestu}"/></b>
										<c:forEach var="metody" varStatus="smetody" items="${zobrazitUlohuDetailForm.testyMetody}">
											<c:if test="${testy.idTestu eq metody.idTestu}">
												<br/>&nbsp;&nbsp;&nbsp;&nbsp;<c:out value="${metody.nazevMetody}"/>
											</c:if>
										</c:forEach>
								</c:forEach>
							</p>
						</c:if>
				</td>
			</tr>
		</table>
	</body>
</html:html>
